"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createWebpackExtend = createWebpackExtend;
const logger_1 = require("../common/logger");
const consts_1 = require("../common/consts");
const helpers_1 = require("./helpers");
async function createWebpackExtend(config) {
    try {
        await (0, helpers_1.createTemplateFile)(consts_1.extendFileName, config);
    }
    catch (error) {
        if (error) {
            logger_1.Logger.error((error === null || error === void 0 ? void 0 : error.message) || error.toString());
            throw error;
        }
        else {
            logger_1.Logger.error('The process exited with an error');
            process.exit(1);
        }
    }
}
//# sourceMappingURL=createWebpackExtend.js.map