"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.spawnProcess = spawnProcess;
const cross_spawn_1 = require("cross-spawn");
async function spawnProcess(program, args, env) {
    return new Promise((resolve, reject) => {
        const proc = (0, cross_spawn_1.spawn)(program, args, {
            stdio: 'inherit',
            env: env || process.env
        });
        process.on('SIGTERM', () => proc.kill('SIGTERM'));
        process.on('SIGINT', () => proc.kill('SIGINT'));
        process.on('SIGBREAK', () => proc.kill('SIGBREAK'));
        process.on('SIGHUP', () => proc.kill('SIGHUP'));
        process.title = 'fast-serve';
        proc.on('exit', (code, signal) => {
            let crossEnvExitCode = code;
            if (crossEnvExitCode === null) {
                crossEnvExitCode = signal === 'SIGINT' ? 0 : 1;
            }
            if (crossEnvExitCode === 1 || signal === 'SIGINT') {
                reject();
            }
            else {
                resolve();
            }
        });
    });
}
//# sourceMappingURL=spawnProcess.js.map